Bug 993438 - regression: htlatex fails to generate html pages
regression: htlatex fails to generate html pages
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1103449
  Show dependency treegraph
 
Reported: 2013-08-05 19:15 EDT by Omair Majid
Modified: 2015-02-17 11:36 EST (History)
3 users (show)

See Also:
Fixed In Version: texlive-2013-3.20131021_r31961.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:36:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Omair Majid 2013-08-05 19:15:46 EDT
A package that I maintain does this as one of the build steps:

(cd doc/dbus-java; TEX4HTENV=/usr/share/texmf/tex4ht/base/unix/tex4ht.env htlatex ../../dbus-java.tex "xhtml,2" "" "-cvalidate")

This package (and the makefile) has remained unchanged and worked perfectly fine for the last few years (since 2008, I believe). It doesnt work any more.


--- empty picture --- dbus-java.idv[2] ---
Execute script `dbus-java.lg'
/usr/bin/t4ht: line 2: -f/../../dbus-java.tex: No such file or directory
/usr/bin/t4ht: line 3: -f/../../dbus-java.tex: No such file or directory
/usr/bin/t4ht: line 4: -f/../../dbus-java.tex: No such file or directory
--- error --- improper command line

Version-Release number of selected component (if applicable):
texlive-tex4ht-bin-svn30088.0-0.1.20130608_r30832.fc19.x86_64


Steps to Reproduce:
1. fedpkg clone -a dbus-java
2. cd dbus-java
3. fedpkg local

Actual results:
htlatex forks until it can't any more. Then the build crashes.

Expected results:
Package is built
Comment 1 Fedora Update System 2013-10-17 06:54:43 EDT
texlive-2013-1.20131014_r31898.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/texlive-2013-1.20131014_r31898.fc20
Comment 2 Fedora Update System 2013-10-17 06:57:30 EDT
texlive-2013-1.20131014_r31898.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/texlive-2013-1.20131014_r31898.fc19
Comment 3 Fedora Update System 2013-10-17 16:25:23 EDT
Package texlive-2013-1.20131014_r31898.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing texlive-2013-1.20131014_r31898.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19153/texlive-2013-1.20131014_r31898.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-10-21 10:14:57 EDT
texlive-2013-2.20131019_r31948.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/texlive-2013-2.20131019_r31948.fc18
Comment 5 Fedora Update System 2013-11-10 03:02:34 EST
texlive-2013-3.20131021_r31961.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Omair Majid 2014-06-01 13:22:13 EDT
Koji is still running into this error when building for F19.

This is the F19 build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6916166

And the error appears here:
https://kojipkgs.fedoraproject.org//work/tasks/6166/6916166/build.log

To reproduce:

$ fedpkg clone -a dbus-java
$ cd dbus-java
$ fedpkg switch-branch f19
$ fedpkg scratch-build
Comment 7 Omair Majid 2014-07-16 15:01:09 EDT
I am still running into this issue when building on F19:
https://kojipkgs.fedoraproject.org//work/tasks/2891/7152891/build.log

Reopening.
Comment 8 Fedora End Of Life 2015-01-09 14:18:47 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 11:36:21 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.